/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * calendar.h
 *
 * Headers necessary for use of the functions in calendar.c
 *
 */

/* Make sure this is only included once. */

#ifndef CALENDAR_C
#define CALENDAR_C 1


extern int aucCalendarInit(void);

extern int aucCalendarMaster(FILE * output, char *extrapath);

extern int aucCalendarGetCurrTerm();
extern int aucGetSemBeg(char *str, size_t len, int sempref);
extern int aucGetTodayDate(char *str, size_t len);
extern int aucIncDate(char *str, size_t len, int sempref);
extern char *aucDateText(char *date);

#endif /* CALENDAR_C */
