
#ifndef DATABASE_C
#define DATABASE_C

#include <mysql.h>
#include <auc/util.h>

#define	DB_VERSION	"000704a"

extern int aucDBConnect(void);
extern int aucDBDisconnect(void);
extern int aucDBRegister(char *name, char *insertquery);
extern unsigned long aucDBNumRows(char *table, char *where);
extern unsigned long aucDBQueryNumRows(char *query);
extern int aucDBQuery(MYSQL * indb, char *fquery, ...);
extern char * aucDBProcessFormCreate(void);
extern int aucDBStoreResults(aucVarField * vars, MYSQL_RES * res, MYSQL_ROW row);
extern int aucDBEscapeResults(aucVarField * vars);
extern int aucDBInsertQuery(char *str, int len, char *table, aucVarField * vars, ...);
extern int aucDBInsertQuery(char *str, int len, char *table, aucVarField * vars, ...);
extern char * aucDBGetToken(aucVarField * vars, char *name);


#endif
