<p>Estas son las instrucciones para agregar usuarios de AUC desde cero.  Se debe
tener acceso a una maquina que pueda ingresar a una base de datos MySql en forma
directa(como una maquina UNIX con el comando ´mysql´).</p>


<p>Primero, debe empezar con un archivo de texto que contenga los datos en bruto
de los usuarios.  Los campos (tabulados) deben aparecer en el siguiente orden, 
separando con una nueva línea cada usuario:</p>

<table cellpadding=5 cellspacing=0 border=1><tr>
<td><b>Nombre de Usuario</b></td>
<td><b>Nombre </b></td>
<td><b>Apellido</b></td>
<td><b>Segundo Nombre</b> (opcional)</td>
<td><b>ID Alumno</b> (opcional)</td>
<td><b>Rol</b> ("student", "staff", "system", "visitor", "parent", "guest", o lo que corresponda)</td>
<td><b>Año de Graduación</b> (Necesario si el rol es "student")</td>
<td><b>Nivel de Permisos</b> ("normal", "sysop", or "guest")</td>
</tr>
</table>

<p>Si quiere que un usuario sea autentificado directamente por AUC en vez de usar
PAM, es necesario crear otro archivo que contenga las contraseñas iniciales para 
estos usuarios. Este archivo tambien debe ser tabulado, con una linea separando
a cada usuario, y debe tener los siguientes campos:</p>

<table cellpadding=5 cellspacing=0 border=1><tr>
<td><b>Nombre de Usuario</b></td><td><b>Contraseña Inicial</b></td>
</tr></table>

<p>Ahora agregaremos los usuarios a AUC.  Estas instrucciones asumen que se esta
usando una maquina UNIX con ´mysql´disponible.  Escriba el comando:</p>

<p><code>mysql -h <i>hostname</i> -u root -p</code></p>

donde <i>hostname</i> es el nombre del servidor MySQL.  Omita "-h <i>hostname</i>" si
la maquina local es el servidor. Al indicarsele, escriba la contraseña del servidor MySQL.
Una vez dentro de MySQL, escriba <code>use <i>database</i>;</code> donde <i>database</i>
es el nombre de la base de datos que contiene la información para instalar AUC (la BD
se llama "auc" por defecto).  Luego, escriba el siguiente commando para importar la 
información de los usuarios:</p>

<p><code>LOAD DATA LOCAL INFILE "<i>path</i>" INTO TABLE userinfo (uname, fname, lname, mname, id, grp, class, permissions);</code></p>

<p>donde <i>path</i> es la ubicación del archivo de texto qu contiene la información
del usuario.  Escriba "<code>exit</code>" cuando termine.</p>

<p>Si necesita importar contraseñas iniciales del segundo archivo de texto, ejecute el
siguiente comando desde shell:</p>

<p><code>cat <i>path</i> | auc_password_import | mysql -h <i>hostname</i> -u root -p <i>database</i></code></p>

<p>donde <i>path</i> es la ubicación del segundo archivo de texto(el de las contraseñas)
y <i>hostname</i> y <i>database</i> son los especificados anteriormente. Ingrese la 
contraseña de MySQL cuando se le indique.</p>
