/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * newspaper.h
 *
 * Headers necessary for the use of functions in newspaper.c
 *
 */

/* Make sure this is only included once. */

#ifndef NEWSPAPER_C
#define NEWSPAPER_C 1


extern char *aucNewsDir, *aucNewsUrl, *aucNewsName, *aucNewsEmail;

extern int newspaper_init(void);

extern void aucNewsNodeFrame(FILE * output, aucNodelettInfoPtr nodelett, char *arg);

extern int NewsAdmin(FILE * output, char *extrapath);
extern int NewsEditArticle(FILE * output, char *extrapath);
extern int NewsCreateEdition(FILE * output, char *extrapath);
extern int NewsEditEdition(FILE * output, char *extrapath);
extern int NewsPublishEdition(FILE * output, char *extrapath);
extern int NewsDeleteArticle(FILE * output, char *extrapath);
extern int NewsDeleteEdition(FILE * output, char *extrapath);
extern int NewsFiles(FILE * output, char *extrapath);

#endif /* NEWSPAPER_C */
