
/* Make sure this is only included once. */

#ifndef AUCUTIL_C
#define AUCUTIL_C 1

#include <time.h>

#define aucVarRoot "/var/auc"

#define MAXGRPS 32

typedef struct _aucAuthCache aucAuthCache;
typedef aucAuthCache *aucAuthCachePtr;
struct _aucAuthCache
{
	char uname[65], passwd[17], permissions[9], fullname[64], homedir[64], role[16];
	int uid, gid, local, authtype;
	unsigned long id;
	unsigned int class;
	char groups[MAXGRPS][17];
	time_t login, last_request;
	char authstring[21];
};



#endif /* AUCUTIL_C */
