/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * directory.h
 *
 * Headers neccessary for use of the functions in directory.c
 *
 */

/* Make sure this is only included once. */

#ifndef DIRECTORY_C
#define DIRECTORY_C 1

struct dirinfotype
{
	char *uname, *streetadd, *city, *stateprov, *zip, *phone, *email, *homepage, *message;
};

extern int aucDirInit(void);

extern void aucPeopleNodeFrame(FILE * output, aucNodelettInfoPtr nodelett, char *arg);

extern int aucViewDirectoryName(FILE * output, char *extrapath);
extern int aucAddDirInfo(FILE * output, char *extrapath);
// extern int aucEditMyDirInfo(FILE * output, char * extrapath);
extern int aucNewFriend(FILE * output, char *extrapath);
extern int aucDelFriend(FILE * output, char *extrapath);
extern int aucSearchDir(FILE * output, char *extrapath);

extern int aucPrintDirectoryInfo(FILE * output, struct dirinfotype *dirinfo);
extern int aucGetDirInfo(struct dirinfotype *dirinfo, char *uname);

#endif /* DIRECTORY_C */
