/*
 * Authenticated User Community
 * Copyright (c) 2000 David C. Moore
 *
 * You may distribute and/or use for any purpose modified or unmodified
 * copies of this software if you preserve the copyright notice above.
 *
 * forms.h
 *
 * Functions to display and process forms from an XML template file
 *
 */

/* Make sure this is only included once. */

#ifndef FORMS_C
#define FORMS_C 1

#include <auc/util.h>

extern int aucFormsXMLDisplayFile(FILE * output, char *file, aucVarField * vars,
								  xmlDocPtr reference_doc);
extern int aucFormsXMLDisplay(FILE * output, char *xmldata, aucVarField * vars,
							  xmlDocPtr reference_doc);
extern int aucFormsXMLProcessFile(FILE * output, char *file, aucVarField * vars,
								  xmlDocPtr * output_doc);
extern int aucFormsXMLProcess(FILE * output, char *xmldata, aucVarField * vars,
							  xmlDocPtr * output_doc);
extern int aucFormsProcessListEdit(FILE * output, char *file, xmlDocPtr doc, char *action);

#endif /* FORMS_C */
